EventEmitter
Class defined in util/EventEmitter.js#7

Event support.

this.emit(event, ...arguments)
Method defined in util/EventEmitter.js#16

Emit an event.

Parameters

event | String |
...arguments |  |

Returns

| true if a listener was notified, false otherwise.

this.on(event, method, context, options)
Method defined in util/EventEmitter.js#46

Subscribe a listener to an event.

Optionally, a `priority` can be provided to control the order of all bindings. The default priority is 0. All listeners with the same priority remain in order of registration. A lower priority will make the listener be called later, a higher priority earlier.

Parameters

event | String |
method | Function |
context | Object |
options | Object |

this.off(event, method, context, options)
Method defined in util/EventEmitter.js#63

Unsubscrive a listener from an event.

Parameters

event | String |
method | Function |
context | Object |
options | Object |